package fxTavaranPaikka;

import fi.jyu.mit.fxgui.ModalController;
//import fi.jyu.mit.fxgui.Dialogs;
//import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
//import javafx.stage.Stage;

/**
 * @author lpjsilve, alilakj
 * @version 15.2.2024
 * Kontrolleri tavaran sisällön käsittelemiseen.
 */
public class TavaranSisaltoGUIController implements ModalControllerInterface<String> {
    @FXML private TextArea textKentta;
    @FXML private Button buttonSulje;
    @FXML private Button buttonLisaaTavara;
    
    @FXML void onActionSulje() {
        sulje();
    }
    
    @FXML void onActionLisaaTavara() {
        uusiTavara();
    }
    
    /************koodi************/
    
    /***ModalControllerinMetodit***/
    @Override
    public String getResult() {
        return null;
    }

    @Override
    public void handleShown() {
        buttonSulje.requestFocus();  
    }

    @Override
    public void setDefault(String oletus) {
        //if(textKentta.getId().equals(oletus)) {
            
        //}
    }
    
    
    /**
     * Avataan uuden tavaran lisäysikkuna, käyttäen avaaUusiTavara -metodia pääkontrollerista.
     * Huom, tässä tapauksessa tulee lisätä metodiin parametrin vastaanottamisen mahdollisuus, 
     * sillä tätä kautta tavaran luomisessa lisätään valmiiksi tiedoksi lokaatiotieto.
     */
    public void uusiTavara() {
        TavaranPaikkaGUIController.avaaUusiTavara();
    }
    
    
    /**
     * Suljetaan modaalinen ikkuna.
     */
    public void sulje() {
        ModalController.closeStage(buttonSulje);
    }
}
