package fxTavaranPaikka;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;

/**
 * @author lpjsilve, alilakj
 * @version 15.2.2024
 * Kontrolleri tägin lisäämiseen.
 */
public class LisaaTagGUIController implements ModalControllerInterface<String>{
    @FXML private TextField textKentta;
    @FXML private Button buttonPeruuta;
    @FXML private Button buttonTallenna;

    @FXML void onActionPeruuta() {
        peruuta();
    }

    @FXML void onActionTallenna() {
        tallenna();
    }
    
    /***************koodia***************/
    
    /***ModalControllerinMetodit***/
    @Override
    public String getResult() {
        return null;
    }

    @Override
    public void handleShown() {
        textKentta.requestFocus();
    }

    @Override
    public void setDefault(String oletus) {
    }
    
    /**
     * Peruuta -painikkeen toiminta.
     */
    public void peruuta() {
        ModalController.closeStage(buttonPeruuta);
    }
    
    /**
     * Tallenna -painikkeen toiminta, (toistaiseksi ei toimi).
     */
    public void tallenna() {
        Dialogs.showMessageDialog("Tallennetetaan! Mutta ei toimi vielä");
    }


}
