package fxTavaranPaikka;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.Button;

/**
 * @author lpjsilve, alilakj
 * @version 15.2.2024
 * Kontrolleri tilojen tietojen käsittelemiseen.
 */
public class TilanTiedotGUIController implements ModalControllerInterface<String> {
    @FXML private Button buttonPeruuta;
    @FXML private Button buttonTallenna;

    @FXML void onActionPeruuta() {
        peruuta();
    }

    @FXML
    void onActionTallenna() {
        tallenna();
    }
    
    
    /**************koodi****************/
    
    /***ModalControllerinMetodit***/
    @Override
    public String getResult() {
        return null;
    }

    @Override
    public void handleShown() {
        buttonPeruuta.requestFocus();
        
    }

    @Override
    public void setDefault(String arg0) {        
    }
    
    
    /**
     * Toteutetaan peruuta -painikkeen toiminta, jolla siis
     * poistutaan näkymästä.
     */
    public void peruuta() {
        ModalController.closeStage(buttonPeruuta);
    }
    
    
    /**
     * Toteutetaan tallenna -painikkeen toiminta, jonka
     * tarkoituksena tallentaa muutokset ja sulkea ikkuna.
     * Ei vielä toiminnassa.
     */
    public void tallenna() {
        Dialogs.showMessageDialog("Tallennetetaan! Mutta ei toimi vielä");
    }
}
